summaryrefslogtreecommitdiff
path: root/src/navigation/clone_and_build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/navigation/clone_and_build.sh')
-rwxr-xr-xsrc/navigation/clone_and_build.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/src/navigation/clone_and_build.sh b/src/navigation/clone_and_build.sh
new file mode 100755
index 0000000..310984b
--- /dev/null
+++ b/src/navigation/clone_and_build.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+positioning_version='9e65831eed02cc8a1b2e2e73787d6007b54214b4'
+navit_version='42f9d3484516c88c7cdf647817a6d6a2acac53c2'
+
+echo "version of positioning is: $positioning_version"
+echo "version of navit is: $navit_version"
+
+echo -n "This script deletes, reloads and builds everything, are you sure ? (y or n) "
+read input
+
+if [ ! "$input" = 'y' ]
+then
+ exit 1
+fi
+
+if [ -d "./build" ]
+then
+ find ./build ! -name '*.cbp' -type f -exec rm -f {} +
+fi
+rm -rf navit
+rm -rf positioning
+
+git clone https://github.com/GENIVI/positioning.git ./positioning
+cd positioning
+git checkout $positioning_version
+cd ..
+git clone https://github.com/navit-gps/navit.git
+cd navit
+git checkout $navit_version
+patch -p0 -i ../patches/search_list_get_unique.diff
+patch -p0 -i ../patches/fsa_issue_padding.diff
+cd ..
+
+./build.sh -c
+
+
+